Package org.eclipse.birt.report.engine.api

# Class EXCELRenderOption

java.lang.Object
org.eclipse.birt.report.engine.api.TaskOption
org.eclipse.birt.report.engine.api.RenderOption
org.eclipse.birt.report.engine.api.EXCELRenderOption

All Implemented Interfaces:
  `IExcelRenderOption`, `IRenderOption`, `ITaskOption`

public class EXCELRenderOption extends RenderOption implements IExcelRenderOption

## Field Summary

### Fields inherited from class org.eclipse.birt.report.engine.api.TaskOption

`options`

### Fields inherited from interface org.eclipse.birt.report.engine.api.IExcelRenderOption

`HIDE_GRIDLINES, IGNORE_IMAGE, OFFICE_VERSION, OPTION_MULTIPLE_SHEET, WRAPPING_TEXT`

### Fields inherited from interface org.eclipse.birt.report.engine.api.IRenderOption

`ACTION_HANDLER, APP_BASE_URL, BASE_URL, CHART_DPI, CLOSE_OUTPUTSTREAM_ON_EXIT, EMITTER_ID, HTML_PAGINATION, IMAGE_HANDLER, LOCALE, OUTPUT_DISPLAY_NONE, OUTPUT_EMITTERID_HTML, OUTPUT_EMITTERID_PDF, OUTPUT_FILE_NAME, OUTPUT_FORMAT, OUTPUT_FORMAT_FO, OUTPUT_FORMAT_HTML, OUTPUT_FORMAT_PDF, OUTPUT_STREAM, RENDER_DPI, REPORTLET_SIZE, RTL_FLAG, SUPPORTED_IMAGE_FORMATS`

## Constructor Summary

Constructors
Constructor
Description
`EXCELRenderOption()`
`EXCELRenderOption(IRenderOption options)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getHideGridlines()`
Get hide gridlines.
`String`
`getOfficeVersion()`
Get office version.
`boolean`
`getWrappingText()`
Get the flag which indicates if text wrapped.
`boolean`
`isEnableMultipleSheet()`
`void`
`setEnableMultipleSheet(boolean enableMultipleSheet)`
`void`
`setHideGridlines(boolean hideGridlines)`
Set hide gridlines.
`void`
`setOfficeVersion(String officeVersion)`
Set office version.
`void`
`setWrappingText(boolean wrappingText)`
Set wrapping text.

### Methods inherited from class org.eclipse.birt.report.engine.api.RenderOption

`closeOutputStreamOnExit, getActionHandle, getActionHandler, getAppBaseURL, getBaseURL, getEmitterID, getImageHandle, getImageHandler, getOutputFileName, getOutputFormat, getOutputSetting, getOutputStream, getSupportedImageFormats, needCloseOutputStreamOnExit, setActionHandle, setActionHandler, setAppBaseURL, setBaseURL, setEmitterID, setImageHandle, setImageHandler, setOutputFileName, setOutputFormat, setOutputStream, setSupportedImageFormats`

### Methods inherited from class org.eclipse.birt.report.engine.api.TaskOption

`getBooleanOption, getIntOption, getOption, getOptions, getStringOption, hasOption, setOption`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.birt.report.engine.api.IRenderOption

`getActionHandle, getActionHandler, getAppBaseURL, getBaseURL, getEmitterID, getImageHandle, getImageHandler, getOutputFileName, getOutputFormat, getOutputSetting, getOutputStream, getSupportedImageFormats, setActionHandle, setActionHandler, setAppBaseURL, setBaseURL, setEmitterID, setImageHandle, setImageHandler, setOutputFileName, setOutputFormat, setOutputStream, setSupportedImageFormats`

### Methods inherited from interface org.eclipse.birt.report.engine.api.ITaskOption

`getOption, getOptions, hasOption, setOption`

## Constructor Details

### EXCELRenderOption

public EXCELRenderOption()

### EXCELRenderOption

public EXCELRenderOption(IRenderOption options)

## Method Details

### getOfficeVersion

public String getOfficeVersion()
Get office version.

Specified by:
  `getOfficeVersion` in interface `IExcelRenderOption`
Returns:
  office version

### getWrappingText

public boolean getWrappingText()
Get the flag which indicates if text wrapped.

Specified by:
  `getWrappingText` in interface `IExcelRenderOption`
Returns:
  text if it is wrapped

### setOfficeVersion

public void setOfficeVersion(String officeVersion)
Set office version.

Specified by:
  `setOfficeVersion` in interface `IExcelRenderOption`
Parameters:
  `officeVersion` -

### setWrappingText

public void setWrappingText(boolean wrappingText)
Set wrapping text.

Specified by:
  `setWrappingText` in interface `IExcelRenderOption`
Parameters:
  `wrappingText` -

### setHideGridlines

public void setHideGridlines(boolean hideGridlines)
Set hide gridlines.

Parameters:
  `hide` - gridlines

### getHideGridlines

public boolean getHideGridlines()
Get hide gridlines.

Parameters:
  `hide` - gridlines

### isEnableMultipleSheet

public boolean isEnableMultipleSheet()

Specified by:
  `isEnableMultipleSheet` in interface `IExcelRenderOption`

### setEnableMultipleSheet

public void setEnableMultipleSheet(boolean enableMultipleSheet)

Specified by:
  `setEnableMultipleSheet` in interface `IExcelRenderOption`